function [] = resetShiftToaSelection()
%SHIFTTOA Summary of this function goes here
%   Detailed explanation goes here

global artoaGui artoaWorkspace artoaDataInput;


%% Select polygon

if ~artoa.controller.edit.dataPointsSelected(artoaWorkspace.editTimeOfArrival)
    warndlg('You need to select data by using the "Pick" button first!', 'No data selected');
    return;
end

%% Ask for reset
if strcmp(questdlg('Remove shift from selection?', 'Confirmation', 'Yes', 'Cancel', 'Cancel'), 'Cancel')
    return;
end


artoaWorkspace.toaData.toa(artoaWorkspace.editTimeOfArrival.userSelection) = artoaDataInput.toaData.toa(artoaWorkspace.editTimeOfArrival.userSelection);

[artoaGui.editTimeOfArrival, artoaWorkspace.editTimeOfArrival] = ...
    artoa.controller.edit.clearSelection(artoaGui.editTimeOfArrival, artoaWorkspace.editTimeOfArrival);

artoa.controller.edit.updateAvailablePlots();


end

